Subject: Re: SM501 Kernel display driver for v2.6.17

From: Sergei Shtylyov <[email-masked]>
Date: Tue, 12 Sep 2006 17:00:25 +0400

Hello.

Suzuki Takashi wrote:
> I want to make Voyager GX PCI Demo Board Ver.A work on Yosemite board.

> I know Silicon Motion have Linux Kernel_v2.6 Display driver:
> http://www.siliconmotion.com.tw/en/en2/download2c.htm

> But it's for v2.6.4 and it cannot be compiled with v2.6.17 working on
> Yosemite board.

> Does anybody have succeeded in making the board work with v2.6.17?
> If there is a patch or source code available, let me know the location.

    I know that Linux/MIPS project maintains the framebuffer driver in 
drivers/video/smivgxfb.c. We used to backport it to 2.6.10 and it worked for 
us... Here's the link to the latest source:

http://www.linux-mips.org/git?p=linux.git;a=blob;h=c521069c905b4252109b8144478b4381c0ccdb7f;hb=db092db967ec0824db433c4adf3b58202fe610e2;f=drivers/video/smivgxfb.c

> Thanks in advance,

> -- T.Suzuki

WBR, Sergei